Time zones for Russia
2011-12-15 09:17 - Alexey A

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

Since March 2011 TimeZones in russia changed. E.g. Moscow now is UTC+4.
Details can be found here http://en.wikipedia.org/wiki/Time_in_Russia

History

#1 - 2011-12-15 09:25 - Etienne Massip
- Category set to 118n

#2 - 2011-12-15 09:26 - Etienne Massip

- Target version set to Candidate for next minor release

#3 - 2012-07-26 14:06 - Albert M

Similar issue in Armenia
Summer time (AMST) has stopped being affected by the daylight saving time change beginning 2012, so during summer, the time zone stays the
same (UTC +4).

#4 - 2014-06-19 11:16 - Go MAEDA

- File time_zones.png added

Time difference in Moscow has been updated already in latest Redmine. This issue can be closed.

Preferences

Hide my email address
page with unsaved text  (GMT+04:00) St. Petersburg

(GMT +04:00) Thilisi
#5 - 2014-06-19 11:37 - Toshi MARUYAMA
- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)

Redmine uses ActionView::Helpers::FormBuilder#time_zone_select

e source:tags/2.5.1/lib/redmine/views/labelled_form_builder.rb#L42
e http://api.rubyonrails.org/classes/ActionView/Helpers/FormBuilder.html#method-i-time_zone_select

#6 - 2014-06-20 10:20 - Alexey A

Just for lulz: Russian Duma is planing to switch Moscow time back to GMT+3 this November.

http://en.itar-tass.com/russia/735650

#7 - 2014-10-26 23:49 - VVD VVD

2025-08-23 1/2



http://en.wikipedia.org/wiki/Time_in_Russia
http://en.wikipedia.org/wiki/Armenia_Time
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.5.1/lib/redmine/views/labelled_form_builder.rb#L42
http://api.rubyonrails.org/classes/ActionView/Helpers/FormBuilder.html#method-i-time_zone_select
http://en.itar-tass.com/russia/735650

Alexey A wrote:

Just for lulz: Russian Duma is planing to switch Moscow time back to GMT+3 this November.
http://en.itar-tass.com/russia/735650
Already did it...
